Loading...
Searching...
No Matches
Opm::EclEpsScalingPointsInfo< Scalar > Struct Template Reference

This structure represents all values which can be possibly used as scaling points in the endpoint scaling code. More...

`#include <EclEpsScalingPoints.hpp>`

## Public Member Functions

bool | operator== (const EclEpsScalingPointsInfo< Scalar > &data) const
void | print () const

## Public Attributes

Scalar | Swl
Scalar | Sgl
Scalar | Swcr
Scalar | Sgcr
Scalar | Sowcr
Scalar | Sogcr
Scalar | Swu
Scalar | Sgu
Scalar | maxPcow
Scalar | maxPcgo
Scalar | pcowLeverettFactor
Scalar | pcgoLeverettFactor
Scalar | Krwr
Scalar | Krgr
Scalar | Krorw
Scalar | Krorg
Scalar | maxKrw
Scalar | maxKrow
Scalar | maxKrog
Scalar | maxKrg

## Detailed Description

template<class Scalar>
struct Opm::EclEpsScalingPointsInfo< Scalar >

This structure represents all values which can be possibly used as scaling points in the endpoint scaling code.

Depending on the exact configuration, some of these quantities are not used as actual scaling points. It is easier to extract all of them at once, though.

The documentation for this struct was generated from the following files:

- opm/material/fluidmatrixinteractions/EclEpsScalingPoints.hpp
- opm/material/fluidmatrixinteractions/EclEpsScalingPoints.cpp